[arch-commits] Commit in xf86-input-vmmouse/repos (3 files)

Jan de Groot jgc at archlinux.org
Thu Nov 5 14:10:41 EST 2009


    Date: Thursday, November 5, 2009 @ 14:10:41
  Author: jgc
Revision: 58177

Merged revisions 58176 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/xf86-input-vmmouse/trunk

........
  r58176 | jgc | 2009-11-05 20:10:21 +0100 (Thu, 05 Nov 2009) | 2 lines
  
  upgpkg: xf86-input-vmmouse 12.6.5-3
      Fix unresolved symbols due to ABI changes
........

Added:
  xf86-input-vmmouse/repos/extra-i686/abi.patch
    (from rev 58176, xf86-input-vmmouse/trunk/abi.patch)
Modified:
  xf86-input-vmmouse/repos/extra-i686/	(properties)
  xf86-input-vmmouse/repos/extra-i686/PKGBUILD

-----------+
 PKGBUILD  |    9 ++++++---
 abi.patch |   12 ++++++++++++
 2 files changed, 18 insertions(+), 3 deletions(-)


Property changes on: xf86-input-vmmouse/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xf86-input-vmmouse/trunk:1-55441
   + /xf86-input-vmmouse/trunk:1-58176

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-05 19:10:21 UTC (rev 58176)
+++ extra-i686/PKGBUILD	2009-11-05 19:10:41 UTC (rev 58177)
@@ -3,7 +3,7 @@
 
 pkgname=xf86-input-vmmouse
 pkgver=12.6.5
-pkgrel=2
+pkgrel=3
 pkgdesc="X.org VMWare Mouse input driver"
 arch=(i686 x86_64)
 license=('custom')
@@ -13,11 +13,14 @@
 conflicts=('xorg-server<1.7.0')
 groups=('xorg-input-drivers')
 options=('!libtool')
-source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
-sha1sums=('bf2f1031ccc0096f388272ce93b75572d24548be')
+source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2
+        abi.patch)
+sha1sums=('bf2f1031ccc0096f388272ce93b75572d24548be'
+          'eeb632071af613dc330b05d2d728764c0268eb02')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/abi.patch" || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1

Copied: xf86-input-vmmouse/repos/extra-i686/abi.patch (from rev 58176, xf86-input-vmmouse/trunk/abi.patch)
===================================================================
--- extra-i686/abi.patch	                        (rev 0)
+++ extra-i686/abi.patch	2009-11-05 19:10:41 UTC (rev 58177)
@@ -0,0 +1,12 @@
+diff -up xf86-input-vmmouse-12.6.5/src/vmmouse.c.jx xf86-input-vmmouse-12.6.5/src/vmmouse.c
+--- xf86-input-vmmouse-12.6.5/src/vmmouse.c.jx	2009-08-06 13:23:09.000000000 -0400
++++ xf86-input-vmmouse-12.6.5/src/vmmouse.c	2009-08-27 14:26:54.000000000 -0400
+@@ -1175,8 +1175,6 @@ VMMousePlug(pointer	module,
+ {
+    static Bool Initialised = FALSE;
+ 
+-   xf86LoaderReqSymLists(reqSymbols, NULL);
+-
+    if (!Initialised)
+       Initialised = TRUE;
+ 



More information about the arch-commits mailing list